SimpleEndResultTransformer (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.endresulttransformer.SimpleEndResultTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.endresulttransformer
Class SimpleEndResultTransformer

    java.lang.Object
      org.apache.solr.search.grouping.endresulttransformer.SimpleEndResultTransformer

All Implemented Interfaces:
  EndResultTransformer

    public class SimpleEndResultTransformer

extends Object
implements EndResultTransformer

Implementation of `EndResultTransformer` that transforms the grouped result into a single flat list.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.search.grouping.endresulttransformer.EndResultTransformer
`EndResultTransformer.SolrDocumentSource`

Constructor Summary
`SimpleEndResultTransformer()`

Method Summary
`void` | `transform(Map<String,?> result, ResponseBuilder rb, EndResultTransformer.SolrDocumentSource solrDocumentSource)` Transforms the specified result into its final form and puts it into the specified response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleEndResultTransformer

    public SimpleEndResultTransformer()

Method Detail

### transform

    public void transform(Map<String,?> result,
                          ResponseBuilder rb,
                          EndResultTransformer.SolrDocumentSource solrDocumentSource)

  Transforms the specified result into its final form and puts it into the specified response.

  Specified by:
    `transform` in interface `EndResultTransformer`
  Parameters:
    `result` - The map containing the grouping result (for grouping by field and query)
    `rb` - The response builder containing the response used to render the result and the grouping specification
    `solrDocumentSource` - The source of `SolrDocument` instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD